/* Default custom select styles */
div.cs-select {
	display: inline-block;
	vertical-align: middle;
	position: relative;
	text-align: left;
	background: #fff;
	/* z-index: 100; */
	width: 100%;
	max-width: 274px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}


div .cs-select:focus {
	outline: none; /* For better accessibility add a style for this in your skin */
}

.cs-select select {
	display: none;
}

.cs-select span {
	display: block;
	position: relative;
	cursor: pointer;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.filter__select.cs-select span{
	padding: 6px 10px;
	font-weight: 400;
	font-size: 15px;
	line-height: 160%;
	color: var(--colorDark);
	position: relative;
}

.filter__select.cs-select li span{
	padding-left: 40px;
}

.filter__select.cs-select li span::before{
	content: '';
	width: 18px;
	height: 18px;
	position: absolute;
	border-radius: 100%;
	left: 10px;
	border: 2px solid var(--colorDark);
}

/* Placeholder and selected option */
.filter__select.cs-select > span {
	padding-right: 3em;
	font-family: var(--font-family);
	font-weight: 600;
	font-size: 15px;
	line-height: 160%;
	color: var(--colorDark);
	padding: 20px;
	border: 1px solid #e5e5e9;
	border-radius: 8px;
	min-width: 220px;
}

.filter__select.cs-select > span::after {
	speak: none;
	position: absolute;
	top: 50%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.filter__select.cs-select > span::after {
	content: '';
	right: 1em;
	width: 10px;
	height: 10px;
	background: no-repeat 0 0 / 100% 100% url(../img/headerAndFooter/iconItem.svg);
}

.filter__section-container .cs-select .cs-options{
	width: auto;
	left: 0;
}

.filter__select.cs-select .cs-selected span::after {
	content: '';
	background: no-repeat 0 0 / 100% 100% url(../img/headerAndFooter/on.svg);
	width: 30px;
	height: 30px;
	position: absolute;
	left: 5px;
	z-index: 1;
	padding: 0;
	margin-top: -4px;
}

.filter__select.cs-select .cs-selected span::before{
	contain: '';
	border-color: #fff0;
}

.footer__select-container .cs-select > span::after {
	speak: none;
	position: absolute;
	top: 50%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.footer__select-container .cs-select > span::after {
	content: '';
	right: -2.6em;
	width: 10px;
	height: 10px;
	background: no-repeat 0 0 / 100% 100% url(../img/headerAndFooter/frame13.svg);
}

.header__language.cs-select li span:hover{
	background: var(--colorGray);	
	transition: backgraund 0.4s linear;
}

.header__language.cs-select li span{
	background: #fff;	
	transition: backgraund 0.4s linear;
}

.cs-select.cs-active > span::after {
	-webkit-transform: translateY(-50%) rotate(180deg);
	transform: translateY(-50%) rotate(180deg);
}

/* Options */
.cs-select .cs-options {
	position: absolute;
	overflow: hidden;
	width: auto;
	z-index: 100;
	left: -88%;
	background: #fff;
	visibility: hidden;
}

.cs-select.cs-active .cs-options {
	visibility: visible;
}

.cs-select ul {
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
}

.cs-select ul span {
	padding: 1em;
}

.cs-select ul li.cs-focus span {
	background-color: #ddd;
}

/* Optgroup and optgroup label */
.cs-select li.cs-optgroup ul {
	padding-left: 1em;
}

.cs-select li.cs-optgroup > span {
	cursor: default;
}

.header__language{
	font-family: var(--font-family);
	font-weight: 600;
	font-size: 15px;
	line-height: 160%;
	text-transform: uppercase;
	text-align: center;
	color: var(--colorDark);
}


.filter__select-container .cs-select .cs-options{
	left: 0;
	width: 100%;
	z-index: 100;
	border: 1px solid #e5e5e9;
	border-radius: 0 0 8px 8px;
	padding: 14px 0px;
	top: 60px;
	max-height: 200px;
	overflow-y: auto;
}

.footer__select-container .cs-select > span{
	z-index: 0;
}


.footer__select-container .cs-select > span {
	padding-right: 3em;
	font-weight: 600;
}

.footer__select-container .cs-select > span::after {
	speak: none;
	position: absolute;
	top: 50%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.footer__select-container .cs-select > span::after {
	content: '';
	right: 1em;
	width: 20px;
	height: 20px;
	background: no-repeat 0 0 / 100% 100% url(../img/headerAndFooter/frame13.svg);
}

.footer__select-container.cs-select .cs-options{
	width: auto;
	left: 0;
}

.footer__select-container .cs-select .cs-selected span::before{
	contain: '';
	border-color: #fff0;
}
